<template>
  <div class="home-view">
    <subscription-filter/>
    <button @click="onCreate" class="create-button">Create</button>
    <subscriptions-list/>
  </div>
</template>

<script>
import SubscriptionsList from '@/components/SubscriptionsList.vue'
import SubscriptionFilter from '@/components/SubscriptionFilter.vue'

export default {
  name: 'HomeView',
  components: {
    SubscriptionsList,
    SubscriptionFilter
  },
  methods: {
    onCreate() {
      this.$router.push({ name: 'editCreate' });
    }
  },
}
</script>

<style scoped>
.home-view {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
}

.create-button {
  margin-top: 20px;
  padding: 10px;
  cursor: pointer;
  background-color: #3498db;
  color: #fff;
  border: none;
  border-radius: 3px;
}

.create-button:hover {
  background-color: #2980b9;
}
</style>
